Package org.apache.catalina.util

## Class ManifestResource

- java.lang.Object
- - org.apache.catalina.util.ManifestResource

    public class ManifestResource
    extends java.lang.Object

Representation of a Manifest file and its available extensions and required extensions

Author:
  Greg Murray, Justyna Horwat

### Field Summary

Fields
`static int` `APPLICATION`
`static int` `SYSTEM`
`static int` `WAR`

### Constructor Summary

Constructors
`ManifestResource​(java.lang.String resourceName, java.util.jar.Manifest manifest, int resourceType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAvailableExtensionCount()` Gets the number of available extensions
`java.util.ArrayList<Extension>` `getAvailableExtensions()` Gets the list of available extensions
`int` `getRequiredExtensionCount()` Gets the number of required extensions
`java.util.ArrayList<Extension>` `getRequiredExtensions()` Gets the list of required extensions
`java.lang.String` `getResourceName()` Gets the name of the resource
`boolean` `isFulfilled()` Returns `true` if all required extension dependencies have been meet for this `ManifestResource` object.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SYSTEM

    public static final int SYSTEM

See Also:
  Constant Field Values

#### WAR

    public static final int WAR

See Also:
  Constant Field Values

#### APPLICATION

    public static final int APPLICATION

See Also:
  Constant Field Values

### Constructor Detail

#### ManifestResource

    public ManifestResource​(java.lang.String resourceName,
                            java.util.jar.Manifest manifest,
                            int resourceType)

### Method Detail

#### getResourceName

    public java.lang.String getResourceName()

Gets the name of the resource

Returns:
  The name of the resource

#### getAvailableExtensions

    public java.util.ArrayList<Extension> getAvailableExtensions()

Gets the list of available extensions

Returns:
  List of available extensions

#### getRequiredExtensions

    public java.util.ArrayList<Extension> getRequiredExtensions()

Gets the list of required extensions

Returns:
  List of required extensions

#### getAvailableExtensionCount

    public int getAvailableExtensionCount()

Gets the number of available extensions

Returns:
  The number of available extensions

#### getRequiredExtensionCount

    public int getRequiredExtensionCount()

Gets the number of required extensions

Returns:
  The number of required extensions

#### isFulfilled

    public boolean isFulfilled()

Returns `true` if all required extension dependencies have been meet for this `ManifestResource` object.

Returns:
  boolean true if all extension dependencies have been satisfied

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`